# Crouch right click
scoreboard players add @s[predicate=infinity:is_sneaking] abilitySetting 1
playsound minecraft:block.crafter.craft master @s[predicate=infinity:is_sneaking]
scoreboard players set @s[scores={abilitySetting=3..}, predicate=!infinity:is_enchant_config_player] abilitySetting 1
scoreboard players set @s[scores={abilitySetting=4..}, predicate=infinity:is_enchant_config_player, predicate=!infinity:is_tool_config_player] abilitySetting 1
scoreboard players set @s[scores={abilitySetting=5..}, predicate=infinity:is_tool_config_player] abilitySetting 1

# Non-crouch right click
execute as @s[scores={abilitySetting=1}, predicate=!infinity:is_sneaking] at @s unless block ~ ~-1 ~ #infinity:indestructible_blocks run fill ~ ~-1 ~ ~ ~-1 ~ dirt destroy
execute as @s[scores={abilitySetting=2}, predicate=!infinity:is_sneaking] run function infinity:gauntlet/reality_stone/throw_tnt with entity @s

execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_pickaxe", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:silk_touch":1}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_pickaxe_silk
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_pickaxe", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:fortune":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_pickaxe_fort
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_axe", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:sharpness":9,"minecraft:silk_touch":1}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_axe_silk
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_axe", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:sharpness":9,"minecraft:fortune":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_axe_fort
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_shovel", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:silk_touch":1}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_shovel_silk
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_shovel", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:fortune":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_shovel_fort
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_hoe", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:silk_touch":1}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_hoe_silk
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_hoe", components:{"minecraft:enchantments":{levels:{"minecraft:efficiency":9,"minecraft:fortune":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_hoe_fort
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_sword", components:{"minecraft:enchantments":{levels:{"minecraft:sharpness":9,"minecraft:looting":3,"minecraft:sweeping_edge":3,"minecraft:fire_aspect":3,"minecraft:knockback":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_sword_both
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_sword", components:{"minecraft:enchantments":{levels:{"minecraft:sharpness":9,"minecraft:looting":3,"minecraft:sweeping_edge":3,"minecraft:fire_aspect":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_sword_fire
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_sword", components:{"minecraft:enchantments":{levels:{"minecraft:sharpness":9,"minecraft:looting":3,"minecraft:sweeping_edge":3,"minecraft:knockback":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_sword_knock
execute as @s[scores={abilitySetting=3}, predicate=!infinity:is_sneaking, tag=!enchantConfigured, nbt={SelectedItem:{id:"minecraft:netherite_sword", components:{"minecraft:enchantments":{levels:{"minecraft:sharpness":9,"minecraft:looting":3,"minecraft:sweeping_edge":3}}}}}] run function infinity:gauntlet/reality_stone/configure_enchant_sword_none

execute as @s[scores={abilitySetting=4}, predicate=!infinity:is_sneaking, tag=!toolConfigured, nbt={SelectedItem:{id:"minecraft:netherite_pickaxe", components:{"minecraft:custom_model_data":{floats:[1018f]}}}}] run function infinity:gauntlet/reality_stone/configure_tool_pickaxe
execute as @s[scores={abilitySetting=4}, predicate=!infinity:is_sneaking, tag=!toolConfigured, nbt={SelectedItem:{id:"minecraft:netherite_axe", components:{"minecraft:custom_model_data":{floats:[1019f]}}}}] run function infinity:gauntlet/reality_stone/configure_tool_axe
execute as @s[scores={abilitySetting=4}, predicate=!infinity:is_sneaking, tag=!toolConfigured, nbt={SelectedItem:{id:"minecraft:netherite_shovel", components:{"minecraft:custom_model_data":{floats:[1020f]}}}}] run function infinity:gauntlet/reality_stone/configure_tool_shovel
execute as @s[scores={abilitySetting=4}, predicate=!infinity:is_sneaking, tag=!toolConfigured, nbt={SelectedItem:{id:"minecraft:netherite_hoe", components:{"minecraft:custom_model_data":{floats:[1021f]}}}}] run function infinity:gauntlet/reality_stone/configure_tool_hoe

# Cleanup
tag @s[tag=toolConfigured] remove toolConfigured
tag @s[tag=enchantConfigured] remove enchantConfigured