# Key Detections
execute as @a[nbt={Inventory:[{Slot:-106b, id:"minecraft:carrot_on_a_stick", count:1, components:{"minecraft:custom_model_data":{floats:[1002f]}}}]}] at @s run function infinity:gauntlet/held_offhand
execute as @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick", count:1, components:{"minecraft:custom_model_data":{floats:[1002f]}}}}] at @s run function infinity:gauntlet/held_mainhand

# Constant Effects
execute as @a[tag=holdingEntity] at @s run function infinity:gauntlet/space_stone/holding_entity
execute as @e[tag=heldEntity] at @s run function infinity:gauntlet/space_stone/held_entity
execute as @e[type=small_fireball, tag=motion_added] at @s run particle minecraft:flame ~ ~ ~ 0 0 0 0.02 2
execute as @e[type=fireball, tag=motion_added] at @s run particle minecraft:flame ~ ~ ~ 0 0 0 0.05 5
execute as @e[type=firework_rocket, tag=motion_added] at @s run particle minecraft:dust{color:[0.72, 0.19, 1.0], scale:2} ~ ~ ~ 0 0 0 0 5

# Crafting Catalysts
execute as @e[type=item, nbt={Item:{id:"minecraft:crafting_table"}}] at @s if block ~ ~ ~ moving_piston run function infinity:crafting/crafting_table_barrel
execute as @e[type=item, nbt={Item:{id:"minecraft:clock"}}] at @s run function infinity:crafting/clock_branch
execute as @e[type=item, nbt={Item:{id:"minecraft:iron_axe", components:{"minecraft:custom_model_data":{floats:[1009f]}}}}] at @s run function infinity:crafting/hammer_branch

# Invulnerable Items
execute as @e[predicate=infinity:is_invulnerable_item] run function infinity:invulnerable_item

# Reset rightClickDetected
scoreboard players set @a[scores={rightClickDetected=1..}] rightClickDetected 0